<template>
  <div>
    <div class="leftTopWrapper">
      <div class="logo">
        <img src="../assets/img/www.terra-it.cn.png" alt="" />
      </div>
      <div class="menu">
        <el-menu
          active-text-color="#ffd04b"
          background-color="#3B4D6E"
          class="el-menu-vertical-demo"
          default-active="2"
          text-color="#fff"
          router
          @open="handleOpen"
          @close="handleClose"
          @select="handleselect"
        >
          <el-submenu index="3" class="faSub">
            <template slot="title">
              <span>{{ $t("synthesis.synthesis") }}</span>
            </template>
            <el-menu-item index="Synthesis">{{
              $t("synthesis.synthesis")
            }}</el-menu-item>
            <el-menu-item index="Thematic">{{
              $t("synthesis.themaic")
            }}</el-menu-item>
            <el-menu-item index="Archive">{{
              $t("synthesis.archive")
            }}</el-menu-item>
          </el-submenu>
          <el-submenu index="1" class="faSub">
            <template slot="title">
              <span>{{ $t("dataManage.dataManage") }}</span>
            </template>
            <el-menu-item index="catalogueManage">{{
              $t("dataManage.catalogueManage")
            }}</el-menu-item>
            <el-menu-item index="dataUpdata">{{
              $t("dataManage.dataUpdata")
            }}</el-menu-item>
            <el-menu-item index="metadataManage">{{
              $t("dataManage.metadataManage")
            }}</el-menu-item>
            <el-menu-item index="dataLoading">{{
              $t("dataManage.dataLoading")
            }}</el-menu-item>
            <el-menu-item index="SpatialData">{{
              $t("dataManage.SpatialData")
            }}</el-menu-item>
            <el-menu-item index="versionManage">{{
              $t("dataManage.versionManage")
            }}</el-menu-item>
            <el-menu-item index="dictionaryManage">{{
              $t("dataManage.dictionaryManage")
            }}</el-menu-item>
            <el-menu-item index="styleManage">{{
              $t("dataManage.styleManage")
            }}</el-menu-item>
          </el-submenu>
          <el-submenu index="2" class="faSub">
            <template slot="title">
              <span>{{ $t("operatManage.operatManage") }}</span>
            </template>
            <el-menu-item index="userManagement">{{
              $t("operatManage.userManagement")
            }}</el-menu-item>
            <el-submenu index="2-2">
              <template slot="title">{{
                $t("operatManage.systemLayout")
              }}</template>
              <el-menu-item index="menuSettings">{{
                $t("operatManage.menuSettings")
              }}</el-menu-item>
              <el-menu-item index="parameterConfiguration">{{
                $t("operatManage.parameterConfiguration")
              }}</el-menu-item>
              <el-menu-item index="rests">{{
                $t("operatManage.rests")
              }}</el-menu-item>
            </el-submenu>
            <el-menu-item index="authorityManagement">{{
              $t("operatManage.authorityManagement")
            }}</el-menu-item>
            <el-menu-item index="safetyManagement">{{
              $t("operatManage.safetyManagement")
            }}</el-menu-item>
            <el-submenu index="2-5">
              <template slot="title">{{
                $t("operatManage.operationMonitoring")
              }}</template>
              <el-menu-item index="eventlogManage">{{
                $t("operatManage.eventlogManage")
              }}</el-menu-item>
              <el-menu-item index="logLog">{{
                $t("operatManage.logLog")
              }}</el-menu-item>
              <el-menu-item index="operationLog">{{
                $t("operatManage.operationLog")
              }}</el-menu-item>
              <el-menu-item index="databaseMonitoring">{{
                $t("operatManage.databaseMonitoring")
              }}</el-menu-item>
<<<<<<< HEAD
              <el-menu-item index="blackwhiteList">{{
                $t("operatManage.blackwhiteList")
=======
              <el-menu-item index="tokentool">{{
                $t("operatManage.tokentool")
>>>>>>> eb8b11722d1d778311ae7c4eb47869288e30ade6
              }}</el-menu-item>
            </el-submenu>
          </el-submenu>

          <!-- <el-submenu index="4" class="faSub">
            <template slot="title">数据质检</template>
            <el-menu-item index="4-1">数据质检</el-menu-item>
          </el-submenu> -->
          <!-- <el-submenu index="5" class="faSub">
            <template slot="title">数据交换</template>
            <el-menu-item index="5-1">数据分发</el-menu-item>
          </el-submenu> -->
          <!-- <el-submenu index="6" class="faSub">
            <template slot="title">服务管理</template>
            <el-menu-item index="6-1">数据服务注册开启</el-menu-item>
          </el-submenu> -->
        </el-menu>
      </div>
    </div>
    <div class="leftBotWrapper">
      <div class="userInfo">
        <img src="../assets/img/user.png" alt="" />
        <span>admin</span>
        <span>注销</span>
        &nbsp;
        <span @click="switchLang"> 切换语言</span>
      </div>
      <div class="btnBox">
        <div><img src="../assets/img/leftBtn.png" alt="" /></div>
        <div><img src="../assets/img/rightBtn.png" alt="" /></div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "navMenu",
  //import引入的组件需要注入到对象中才能使用
  data() {
    return {
      lang: "en",
    };
  },
  methods: {
    handleOpen(key, keyPath) {
      if (
        keyPath[1] != "dataLoading" &&
        keyPath[1] != "2-2" &&
        keyPath[1] != "2-5"
      )
        this.$router.push(keyPath[1]);
    },
    handleClose(key, keyPath) {
      if (
        keyPath[1] != "dataLoading" &&
        keyPath[1] != "2-5" &&
        keyPath[1] != "2-2"
      )
        this.$router.push(keyPath[1]);
    },
    handleselect(index) {
      if (index != null) {
        this.$emit("shwoMapView", false);
      }
    },
    showChange() {
      this.$emit("shwoMapView", true);
    },
    switchLang() {
      if (this.lang == "en") {
        this.$i18n.locale = this.lang;
        this.lang = "zh";
      } else {
        this.$i18n.locale = this.lang;
        this.lang = "en";
      }
    },
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.leftTopWrapper {
  width: 100%;
  .logo {
    // background-color: rgb(139, 0, 0);
    width: 249px;
    height: 52px;
    img {
      width: 100%;
    }
  }
  .menu {
    height: 740px;
    margin-top: 22px;
    overflow: auto;

    .el-menu {
      width: 234px;
      border-right: none;
      /deep/ .el-submenu {
        margin-bottom: 10px;
        .el-submenu__title {
          background-color: transparent !important;
        }
      }
      .faSub {
        background-color: #586884;
      }
    }
  }
}
.leftBotWrapper {
  width: 258px;
  position: absolute;
  left: 19px;
  bottom: 17px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  .userInfo {
    // width: 138px;
    font-size: 16px;
    font-family: Microsoft YaHei;
    font-weight: 400;
    color: #fcfcfc;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
  }
  .btnBox {
    width: 65px;
    display: flex;
    justify-content: space-between;
  }
}
</style>
